//-----------------------------------------------------------------------------
//
// ImageLib Sources
// Copyright (C) 2000-2009 by Denton Woods
// Last modified: 01/04/2009
//
// Filename: src-IL/include/il_files.h
//
// Description: File handling for DevIL
//
//-----------------------------------------------------------------------------

#ifndef FILES_H
#define FILES_H

#if defined (__FILES_C)
#define __FILES_EXTERN
#else
#define __FILES_EXTERN extern
#endif
#include <IL/il2.h>
#include <IL/IIO.h>

// Functions to set file or lump for reading/writing
__FILES_EXTERN void				iSetInputFile(IIO* io, ILHANDLE File);
__FILES_EXTERN void				iSetInputLump(IIO* io, const void *Lump, ILuint Size);
__FILES_EXTERN void				iSetOutputFile(ILimage* image, ILHANDLE File, ILboolean closeFile);
__FILES_EXTERN void				iSetOutputLump(IIO* io, void *Lump, ILuint Size);
__FILES_EXTERN void				iSetOutputFake(IIO* io);
 
__FILES_EXTERN ILHANDLE			ILAPIENTRY iGetFile(ILimage* image);
__FILES_EXTERN const ILubyte*	ILAPIENTRY iGetLump(ILimage* image);

__FILES_EXTERN ILuint			ILAPIENTRY ilprintf(IIO* io, const char *, ...);
__FILES_EXTERN void				ipad(IIO* io, ILuint NumZeros);

#endif//FILES_H
