//-----------------------------------------------------------------------------
//
// ImageLib Sources
// Copyright (C) 2000-2009 by Denton Woods
// Last modified: 02/16/2009
//
// Filename: src-IL/src/il_texture.c
//
// Description: Reads from a Medieval II: Total War	(by Creative Assembly)
//				Texture (.texture) file.
//
//-----------------------------------------------------------------------------

#ifndef IL_NO_TEXTURE

#include "il_internal.h"
#include "LumpIO.h"

//! Reads from a memory "lump" that contains a TEXTURE
ILboolean ilLoadTextureL(ILimage* image, const void *Lump, ILuint Size)
{
	// According to http://forums.totalwar.org/vb/showthread.php?t=70886, all that needs to be done
	//  is to skip the first 48 bytes, and then the DDS data follows
	#ifndef IL_NO_DDS
	ConstLumpIO io(Lump, Size);
	IIO* backupIO = image->io;
	image->io = &io;
	io.seek(48, IL_SEEK_CUR);
	ILboolean result = iLoadDdsInternal(image);
	image->io = backupIO;
	return result;
	#else
	return IL_FALSE;
	#endif
}

#endif//IL_NO_TEXTURE

